org.jboss.resteasy.jose.jws

## Class JWSBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jws.JWSBuilder

-     public class JWSBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JWSBuilder.EncodingBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWSBuilder()`
    `JWSBuilder(Providers providers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWSBuilder.EncodingBuilder` | `content(byte[] bytes)`
    `JWSBuilder.EncodingBuilder` | `content(Object object, MediaType marshalTo)`
    `JWSBuilder` | `contentType(MediaType type)`
    `JWSBuilder` | `contentType(String type)`
    `protected String` | `encode(Algorithm alg, byte[] data, byte[] signature)`
    `protected String` | `encodeHeader(Algorithm alg)`
    `protected byte[]` | `marshalContent()`
    `JWSBuilder` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSBuilder

          public JWSBuilder()

    - #### JWSBuilder

          public JWSBuilder(Providers providers)

  - ### Method Detail

    - #### type

          public JWSBuilder type(String type)

    - #### contentType

          public JWSBuilder contentType(String type)

    - #### contentType

          public JWSBuilder contentType(MediaType type)

    - #### content

          public JWSBuilder.EncodingBuilder content(byte[] bytes)

    - #### content

          public JWSBuilder.EncodingBuilder content(Object object,
                                           MediaType marshalTo)

    - #### encodeHeader

          protected String encodeHeader(Algorithm alg)

    - #### encode

          protected String encode(Algorithm alg,
                      byte[] data,
                      byte[] signature)

    - #### marshalContent

          protected byte[] marshalContent()

Copyright © 2014. All Rights Reserved.